Cupti: CUpti_ActivityOpenAcc Struct Reference

# CUpti_ActivityOpenAcc Struct Reference
[CUPTI Activity API]

The base activity record for OpenAcc records. More...

## Data Fields
uint64_t | async
uint64_t | asyncMap
uint32_t | cuContextId
uint32_t | cuDeviceId
uint32_t | cuProcessId
uint32_t | cuStreamId
uint32_t | cuThreadId
uint32_t | deviceNumber
uint32_t | deviceType
uint64_t | end
uint32_t | endLineNo
CUpti_OpenAccEventKind | eventKind
uint32_t | externalId
uint32_t | funcEndLineNo
uint32_t | funcLineNo
uint32_t | implicit
CUpti_ActivityKind | kind
uint32_t | lineNo
CUpti_OpenAccConstructKind | parentConstruct
uint64_t | start
uint32_t | threadId
uint32_t | version

## Detailed Description

The OpenACC activity API part uses a CUpti_ActivityOpenAcc as a generic representation for any OpenACC activity. The 'kind' field is used to determine the specific activity kind, and from that the CUpti_ActivityOpenAcc object can be cast to the specific OpenACC activity record type appropriate for that kind.

Note that all OpenACC activity record types are padded and aligned to ensure that each member of the record is naturally aligned.

See also:
  CUpti_ActivityKind

## Field Documentation

uint64_t CUpti_ActivityOpenAcc::async

Value of async() clause of the corresponding directive

uint64_t CUpti_ActivityOpenAcc::asyncMap

Internal asynchronous queue number used

uint32_t CUpti_ActivityOpenAcc::cuContextId

CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuDeviceId

CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuProcessId

The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAcc::cuStreamId

CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuThreadId

The ID of the thread where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAcc::deviceNumber

Device number

uint32_t CUpti_ActivityOpenAcc::deviceType

Device type

uint64_t CUpti_ActivityOpenAcc::end

CUPTI end timestamp

uint32_t CUpti_ActivityOpenAcc::endLineNo

For an OpenACC construct, this contains the line number of the end of the construct. A zero value means the line number is not known.

CUpti_OpenAccEventKind CUpti_ActivityOpenAcc::eventKind

CUPTI OpenACC event kind (

See also:
  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAcc::externalId

The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

uint32_t CUpti_ActivityOpenAcc::funcEndLineNo

The last line number of the function named in funcName. A zero value means the line number is not known.

uint32_t CUpti_ActivityOpenAcc::funcLineNo

The line number of the first line of the function named in funcName. A zero value means the line number is not known.

uint32_t CUpti_ActivityOpenAcc::implicit

1 for any implicit event, such as an implicit wait at a synchronous data construct 0 otherwise

CUpti_ActivityKind CUpti_ActivityOpenAcc::kind

The kind of this activity.

uint32_t CUpti_ActivityOpenAcc::lineNo

The line number of the directive or program construct or the starting line number of the OpenACC construct corresponding to the event. A zero value means the line number is not known.

CUpti_OpenAccConstructKind CUpti_ActivityOpenAcc::parentConstruct

CUPTI OpenACC parent construct kind (

See also:
  CUpti_OpenAccConstructKind)

Note that for applications using PGI OpenACC runtime < 16.1, this will always be CUPTI_OPENACC_CONSTRUCT_KIND_UNKNOWN.

uint64_t CUpti_ActivityOpenAcc::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenAcc::threadId

ThreadId

uint32_t CUpti_ActivityOpenAcc::version

Version number